using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IACommService4CSharp
{
    public class EthernetInfo_t : ComplexBase_t
    {
        public EthernetInfo_t() : base()
        {
        }
        //Internal use
        public EthernetInfo_t(IDataValue4CSharp value) : base(value)
        {
        }
        public string IPAddress
        {
            get
            {
                return GetFieldValue("IPAddress") as string;
            }
            set
            {
                SetFieldValue("IPAddress", value);
            }
        }
        public string SubnetMask
        {
            get
            {
                return GetFieldValue("SubnetMask") as string;
            }
            set
            {
                SetFieldValue("SubnetMask", value);
            }
        }
    }
}
